list(APPEND BLT_LINK_FLAG_TARGETS ${PROJECT_NAME})
string(ASCII 27 Esc)
set(ColourReset "${Esc}[m")
set(Blue        "${Esc}[34m")
message("Setting link flags for targets ${Blue}${BLT_LINK_FLAG_TARGETS}${ColourReset}")
if ("${BLT_PRELOAD_PATH}" STREQUAL "")
    message(STATUS "Setting link flags without asset preloading")
    set_target_properties(${BLT_LINK_FLAG_TARGETS} PROPERTIES LINK_FLAGS "-sMAX_WEBGL_VERSION=2 -sFULL_ES2=1 -sFULL_ES3 -sASSERTIONS=1 -sUSE_GLFW=3")
else ()
    message(STATUS "Setting link flags including preload file path ${BLT_PRELOAD_PATH}")
    set_target_properties(${BLT_LINK_FLAG_TARGETS} PROPERTIES LINK_FLAGS "-sMAX_WEBGL_VERSION=2 -sFULL_ES2=1 -sFULL_ES3 -sASSERTIONS=1 -sUSE_GLFW=3 --preload-file ${BLT_PRELOAD_PATH}")
endif ()